Visualizzazione dei risultati da 1 a 3 su 3
  1. #1

    Impossibile stabilire una connession con il database

    Ho aggiornato Apache alla versione 2.4 e il PHP alla versione 7.3 e adesso visualizzo questo errore

    Warning: mysqli_select_db() expects parameter 1 to be mysqli, string given in C:\Apache24\htdocs\infologhi\classes\connessione.c lass.php on line 24

    Codice PHP:
    $this->connessione mysqli_connect($this->db_host,$this->db_user,$this->db_pass) or die("Impossibile stabilire una connessione con il server MySQL.");
    mysqli_select_db($this->db_name,$this->connessione) or die("Nessun database trovato."); 
    con le vecchie versioni funzionata tutto regolarmente.
    Ultima modifica di Bartjsp; 17-01-2019 a 16:27

  2. #2
    Utente di HTML.it L'avatar di luca200
    Registrato dal
    Apr 2002
    Messaggi
    4,135
    Hai invertito i due parametri
    Codice PHP:
    mysqli_select_db($this->connessione,$this->db_name
    Però ti converrebbe imparare ad usare la forma ad oggetti, dopo un po' ti trovi meglio

  3. #3
    Quote Originariamente inviata da luca200 Visualizza il messaggio
    Però ti converrebbe imparare ad usare la forma ad oggetti, dopo un po' ti trovi meglio
    Grazie tante adesso funziona, è da molto che non uso php, difatti nel configurare il php.ini avevo fatto qualche errore.
    Queste righe di codice le ho inserite in una classe, c'è forse qualche altro modo per usare la forma ad oggetti?

    Ho adesso un problema con il phpmyadmin vers. 4.0.10, quando tento di fare l'export del db o delle tabelle ottengo l'errore:
    Fatal error: Cannot 'break' 2 levels in C:\Apache24\htdocs\phpmyadmin\export.php on line 864

    Invece con la vers. 4.8.4 invece subito dopo l'autenticazione ottengo questo errore:
    Errore nell'elaborazione della richiesta
    Codice errore: 200
    Messaggio errore: OK (rejected)
    La connessione con il server sembra caduta. Controlla per favore la connessione di rete e lo stato del server.


    Apache 2.4.38 win64 e php 7.3.1
    Ultima modifica di Bartjsp; 21-01-2019 a 17:45

Permessi di invio

  • Non puoi inserire discussioni
  • Non puoi inserire repliche
  • Non puoi inserire allegati
  • Non puoi modificare i tuoi messaggi
  •  
Powered by vBulletin® Version 4.2.1
Copyright © 2020 vBulletin Solutions, Inc. All rights reserved.